import request from '@/utils/request'

// 查询市场活动
export function getMarketActivityList(params) {
  return request({
    url: 'sale/market',
    method: 'get',
    params
  })
}

// 新建或保存市场活动
export function saveOrUptMarketActivity(data) {
  return request({
    url: 'sale/market',
    method: data.id ? 'put' : 'post',
    data
  })
}

// 查询市场活动详情
export function getMarketActivityInfo(id) {
  return request({
    url: `sale/market/${id}`,
    method: 'get'
  })
}

// 查询活动的销售线索-用于活动页面查详情使用
export function getSaleLeads(params) {
  return request({
    url: `sale/leads`,
    method: 'get',
    params
  })
}

// 销售线索
export function getSaleLeadsList(data) {
  return request({
    url: `/sale/leads/search`,
    method: 'post',
    data
  })
}
